commit:     fb30aba06ff605890a118a29b6138af397bb47ec
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Sat Aug  2 02:43:11 2025 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Sat Aug  2 06:15:18 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fb30aba0

app-text/mdbook: add 0.4.52

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 app-text/mdbook/Manifest             |  2 ++
 app-text/mdbook/mdbook-0.4.52.ebuild | 55 ++++++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/app-text/mdbook/Manifest b/app-text/mdbook/Manifest
index 9c5b8cc29c63..acf534c95d8a 100644
--- a/app-text/mdbook/Manifest
+++ b/app-text/mdbook/Manifest
@@ -4,3 +4,5 @@ DIST mdbook-0.4.48-vendor.tar.xz 8893060 BLAKE2B 
da3a9965457f75022f6336da373aa33
 DIST mdbook-0.4.48.tar.gz 1556726 BLAKE2B 
0801115e6f33594e64638ccfa014324f41f21c5df848ec6605088232ef6448b09d09660fe455241b8c123e596c455f7e5b94c4a7a9f47ba0d2baf1db79a151b9
 SHA512 
f8ef2fedc7b6ce215dd63aaa21240d116729a873739995cee652669243da486de456f90e096f1debe8eb1136a8518076147011cf81dcd0f36288cd19e655d89f
 DIST mdbook-0.4.51-vendor.tar.xz 8421132 BLAKE2B 
ac02297ffc22b757b7eb54e92bd9a89439620445fafcbf7a3e18f7eddfa13a0c18be577652f3a9d07c8686b92ab45eb2bf217ba1f9aaabf303bc0f8867b85780
 SHA512 
c7f073e76acec89b723c1de4446eaba14ccdcff00fad9b1d979615b07b6c1202a61de45c15d47cfdbc6fbc84d01edb910d9a97811d13e39231372509ae75775d
 DIST mdbook-0.4.51.tar.gz 1552597 BLAKE2B 
d7e6831f07cc575b539a73d23b6e216d49a0b11f8213b6a1e17aaf13c1b48a5461efd1c57a376d8648147e810f988a23799f2679ced2fbba8f775a8c3a7df1a5
 SHA512 
1b0af344977e95d0d54f3e97eae1c3e0c803999aabca184aace2b03b466ef73cb7d70cb3875022591a48555c319326711a2972feca93b0ba3803e55b754fb580
+DIST mdbook-0.4.52-vendor.tar.xz 8394076 BLAKE2B 
d1e23df18d747cde8dae3b51ad300a4310f25ecd017a3524287f8c08266726298c1028ac8c57486f877d99b8afd0dcf7113836ae265348e8509cd76696dc5005
 SHA512 
9d83e68d9c06585220033ad4c92dae6af46f62297da7218acfb90818ca33a7a7e70a3e1152ff27a4587e82da3ee5da1bad0cffe7d140709ead078a6a3ef53eef
+DIST mdbook-0.4.52.tar.gz 1558690 BLAKE2B 
51a942768eec85156f62e65a9c99aa5b409db05ae60b2b1dca66d6b274f768cdf44f0cd3dd21a3cb17951f64f298626ab1838098073a86b2fdf8a7aec2ead782
 SHA512 
c7b706c5373571a2a55c0e09e79d822db55a150c33a267d60383113fa54ab031616cc90aa6a4240a78ff602f9116d84a20575f1fb8defc0529ad2d578a34cd71

diff --git a/app-text/mdbook/mdbook-0.4.52.ebuild 
b/app-text/mdbook/mdbook-0.4.52.ebuild
new file mode 100644
index 000000000000..b4fafcdcc18b
--- /dev/null
+++ b/app-text/mdbook/mdbook-0.4.52.ebuild
@@ -0,0 +1,55 @@
+# Copyright 2021-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+RUST_MIN_VER=1.82.0
+inherit cargo toolchain-funcs
+
+DESCRIPTION="Create a book from markdown files"
+HOMEPAGE="https://rust-lang.github.io/mdBook/";
+SRC_URI="
+       https://github.com/rust-lang/mdBook/archive/refs/tags/v${PV}.tar.gz
+               -> ${P}.tar.gz
+       https://dev.gentoo.org/~ionen/distfiles/${P}-vendor.tar.xz
+"
+S=${WORKDIR}/${P/b/B}
+
+# CC-BY-4.0/OFL-1.1: embeds fonts inside the executable
+LICENSE="MPL-2.0 CC-BY-4.0 OFL-1.1"
+LICENSE+=" Apache-2.0 BSD CC0-1.0 ISC MIT Unicode-3.0" # crates
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="doc"
+
+QA_FLAGS_IGNORED="usr/bin/${PN}"
+
+src_compile() {
+       cargo_src_compile
+
+       if use doc; then
+               if tc-is-cross-compiler; then
+                       ewarn "html docs were skipped due to cross-compilation"
+               else
+                       "$(cargo_target_dir)"/${PN} build -d html guide || die
+               fi
+       fi
+}
+
+src_test() {
+       local -x COLUMNS=100 #960393
+
+       local skip=(
+               # fails with usersandbox
+               --skip test_ignore_canonical
+       )
+
+       cargo_src_test -- "${skip[@]}"
+}
+
+src_install() {
+       cargo_src_install
+
+       dodoc CHANGELOG.md README.md
+       use doc && ! tc-is-cross-compiler && dodoc -r guide/html
+}

Reply via email to